%define	module	passwd
%define	name	horde-%{module}
%define	version	2.2.1
%define	release	2mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	The %{module} module for Horde framework
License:	GPL
Group:		System/Servers
Source0:	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
URL:		http://www.horde.org/
Requires:	horde >= horde-2.2.5-2mdk
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Passwd is the Horde password changing application. While it has been released
and is in production use at many sites, it is also under heavy development in
an effort to expand and improve the module.

Right now, Passwd provides fairly complete support for changing passwords via
poppassd, ldap, unix expect scripts, the unix smbpasswd command for smb/cifs
password support, servuftp, vmailmgr, vpopmail, and sql passwords.

Passwd is part of a suite of account management modules for Horde consisting of
Accounts, Forwards, Passwd, and Vacation.

%prep
%setup -q -n %{module}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

#rm -f passwd/config/conf.php.dist.orig

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/LICENSE
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/scripts
rm -rf  $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README LICENSE docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# scripts
%{_datadir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Tue Sep 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-2mdk 
- fixed icon name in horde config

* Sat Sep 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.1-1mdk 
- new release
- correct description

* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-5mdk 
- apache config file in %{ap_base}/webapps.d

* Fri Jul 02 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-4mdk 
- really remove useless provide

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-3mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{ap_confd}/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2-1mdk
- first distinct package
